Elastix repositories inconsistency

grpprod

Joined
Dec 11, 2007
Messages
21
Likes
0
Points
0
#1
Hi,
it seems to me there is some problem with the new 1.1 upgrade via yum. The thing is, CentOS is now 5.2, and 5/ directory is a symlink to 5.2/. Therefore, a problem occurs. Let me try to illustrate:

Code:
=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 kernel-devel            i686       2.6.18-92.1.6.el5  updates           4.8 M
 wanpipe-modules         i686       3.2.6-3          elastix           4.3 M
     replacing  wanpipe-modules-2.6.18-8.el5.i686 3.2.4-0

Updating:
 RoundCubeMail           i386       0.1.1-2          elastix           1.4 M
 elastix                 noarch     1.1-7            elastix           4.7 M
 elastix-additionals     noarch     1.1-2            elastix           3.2 M
 freePBX                 noarch     2.3.1-35         elastix           9.9 M
 kernel-module-oslec     i386       0.1.1403-2       elastix            66 k
 kernel-module-oslec-xen  i386       0.1.1403-2       elastix            65 k
 kernel-module-rhino     i386       2.2.6-1          elastix           995 k
 kernel-module-rhino-xen  i386       2.2.6-1          elastix           982 k
 kernel-module-zaptel    i386       1.4.10.1-2_2.6.18_53.1.19.el5  elastix           3.5 M
 kernel-module-zaptel-xen  i386       1.4.10.1-2_2.6.18_53.1.19.el5  elastix           3.4 M
 mISDN                   i686       1.1.7.2-1        elastix            23 k
 mISDN-devel             i686       1.1.7.2-1        elastix            16 k
 mISDN-modules           i686       1.1.7.2-1.2.6.18_53.1.19.el5  elastix           3.0 M
 mISDN-modules-xen       i686       1.1.7.2-1.2.6.18_53.1.19.el5xen  elastix           3.0 M
 mISDNuser               i386       1.1.7.2-1        elastix           355 k
 mISDNuser-devel         i386       1.1.7.2-1        elastix            22 k
 openfire                i386       3.5.1-1          elastix            41 M
 oslec                   i386       0.1.1403-2       elastix           5.9 k
 wanpipe-util            i686       3.2.6-0          elastix           6.3 M
 zaptel                  i386       1.4.10.1-2       elastix           511 k
 zaptel-devel            i386       1.4.10.1-2       elastix            27 k
Installing for dependencies:
 kernel                  i686       2.6.18-92.1.6.el5  updates            14 M
 kernel-xen              i686       2.6.18-53.1.19.el5  elastix            14 M
 kernel-xen              i686       2.6.18-92.1.6.el5  updates            15 M

Transaction Summary
=============================================================================
Install      5 Package(s)         
Update      21 Package(s)         
Remove       0 Package(s)         

Total download size: 134 M
Is this ok [y/N]:
I think that, if I proceed with this update, kernel-dependent modules (more importantly, zaptel) will stop working since they are compiled for CentOS 5.1's latest kernel update (2.6.18-53.1.19.el5) whereas CentOS repository will update the kernel to 2.6.18-92.1.6.el5).

I would happy to see some comments. As a temporary workaround, I can update using only elastix repository. The thing is, CentOS repositories (base and updates) are enabled by default, so many installations are about to be corrupted...

Post edited by: grpprod, at: 2008/07/02 12:56<br><br>Post edited by: grpprod, at: 2008/07/02 13:03
 

grpprod

Joined
Dec 11, 2007
Messages
21
Likes
0
Points
0
#2
bump
 

Members online

No members online now.

Forum statistics

Threads
30,952
Messages
130,980
Members
17,654
Latest member
janko67
Top